Get single profile
curl --request GET \
--url https://external-api.streamforge.com/platforms/{platform}/profiles/{profile_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://external-api.streamforge.com/platforms/{platform}/profiles/{profile_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://external-api.streamforge.com/platforms/{platform}/profiles/{profile_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payload": {
"platform_id": "twitch",
"id": "484563826",
"name": "streamer123",
"display_name": "Streamer 123",
"url": "https://twitch.tv/streamer123",
"description": "Twitch streamer",
"profile_image": "https://static-cdn.jtvnw.net/jtv_user_pictures/...",
"banner_image": "https://static-cdn.jtvnw.net/jtv_user_pictures/...",
"language": "en",
"statistics": {
"followers": 120000
},
"updated_at": "2024-07-04T12:00:00.000Z",
"last_active_at": "2024-07-04T10:00:00.000Z"
},
"meta": {
"received_at": "2025-01-27T12:00:00.000Z"
}
}{
"error": {
"status": 400,
"message": "Invalid platform or missing required parameter"
},
"meta": {
"request_id": "5e7c0137-1ed3-4b4b-8e5f-3d9cf00f7ac4"
}
}{
"error": {
"status": 401,
"message": "API key is required"
},
"meta": {
"request_id": "5e7c0137-1ed3-4b4b-8e5f-3d9cf00f7ac4"
}
}{
"error": {
"status": 403,
"message": "Invalid API key"
},
"meta": {
"request_id": "5e7c0137-1ed3-4b4b-8e5f-3d9cf00f7ac4"
}
}{
"error": {
"status": 404,
"message": "Profile not found"
},
"meta": {
"request_id": "5e7c0137-1ed3-4b4b-8e5f-3d9cf00f7ac4"
}
}{
"error": {
"status": 429,
"message": "Rate limit exceeded"
},
"meta": {
"request_id": "5e7c0137-1ed3-4b4b-8e5f-3d9cf00f7ac4"
}
}Profiles
Get single profile
Fetch a single creator profile by platform and profile ID
GET
/
platforms
/
{platform}
/
profiles
/
{profile_id}
Get single profile
Authorizations
Your API key. Include it in the x-api-key header for all requests.
Path Parameters
Platform identifier
Available options:
twitch, youtube, instagram, tiktok Example:
"twitch"
Platform-specific creator ID
Example:
"484563826"
⌘I

